Blog cerrado. Ir al nuevo foro:

http://newbielinux.superforos.com/index.php

Mejoremos la visualización de las fuentes en Amsn

Posted by elnorber en octubre 24, 2006

Fuente del tutorial: sympozium http://www.ubuntu-es.org/index.php?q=node/21285

A estas alturas del juego, más de uno conocerá que es el programa amsn, aunque sólo sea por el parecido al escribrirse con la archiconocida version de windows msn o messenger.

Si ya lo habeis instalado con la herramienta automatix, os habreis dado cuenta que las letras o fuentes, su visualizaciòn no es muy correcta. Con este tuto, vamos a suavizar el tipo de letra, para que se vea mejor, o de una forma más técnica, instalar amsn con antialias.

En primer lugar, vamos a desistalar la versión que tengamos, junto con el tcltls. Para ello ponemos en la consola:

sudo aptitude remove amsn tcltls

Ahora instalaremos una serie de paquetes necesarios para poder compilar el amsn. Ponemos en la consola:

sudo aptitude install build-essential libc6-dev libx11-dev libxft-dev imagemagick

Compilemos 2 paquetes, el “tk” y el “tcl” para proporcionar el antialias al amsn. Primero instalaremos el “tcl” poniendo en la consola:

wget ftp://ftp.tcl.tk/pub/tcl/tcl8_5/tcl8.5a4-src.tar.gz

tar xzvf tcl8.5a4-src.tar.gz

cd tcl8.5a4/unix

./configure –prefix=/usr

make

sudo make install

  • Con el comando wget, lo que hacemos es descargarnos el codigo fuente del programa, poniendo al lado el enlace donde esta el paquete tar.gz

  • tar xzvf nombredelpaquete.tar.gz es lo que se suele poner para extraer el contenido del paquete.

  • Con cd entramos en el directorio creado. A veces es muy importante leer el archivo readme donde nos dirá los pasos a la hora de la compilación, tales como lo de “configure”, “make” y “sudo make install”. El problema de este tipo de archivos, es que la explicación de instalación viene en inglés, y si no nos manejamos con ese idioma, nos costará mucho trabajo.

  • Si en el proceso de compilación, nos da un fallo, debemos de apuntarlo, porque si lo observamos detenidamente, nos dirá que programas o paquetes nos hace falta para que el resultado sea satisfactorio. Si no lo entendemos, preguntarlo en el foro de ubuntu, o en su canal de chat, o si quereis, poneis un comentario con el fallo que os ha dado, y ya entre todos buscamos la solución.

Ahora instalemos el “tk” poniendo en la consola:

cd

wget ftp://ftp.tcl.tk/pub/tcl/tcl8_5/tk8.5a4-src.tar.gz

tar xzvf tk8.5a4-src.tar.gz

cd tk8.5a4/unix

/configure –prefix=/usr –enable-xft

make

sudo make install

  • Al poner sólo el comando “cd” lo que estamos haciendo es volver al directorio home de tu usuario, para no mezclar la compilación de “tcl” con “tk”.

Para que todo esto funcione, segun la fuente del tuto hay que hacer esto:

cd /usr/bin

sudo rm wish

sudo ln -s wish8.5 wish

Y ya por fin, compilamos el amsn. Como siempre, en la consola:

cd

wget http://optusnet.dl.sourceforge.net/sourceforge/amsn/amsn-0.96RC1.tar.bz2

tar jxvf amsn-0.96RC1.tar.bz2

cd amsn-0.96RC1

./configure –with-tcl=/usr/lib/ –with-tk=/usr/lib/

make

sudo make install

Si todo ha ido bien, y no nos ha dado ningun error durante la compilación, al iniciar el programa, nos preguntará, que tipo de ordenador tenemos para descargar e instalar la versión correspondiente del “tls” necesario para poder conectarnos. En mi caso, al ser un intel, marque la opción x86, valida para los procesadores de 32 bits.

Ya sólo nos falta, pinchar en cuenta, preferencias, apariencia y cambiar fuente, estableciendo la que más nos guste. Si queremos cambiar el skin del programa, podemos visitar la página http://www.gnome-look.org/ donde podamos encontrar diversos skins para el programa. La instalación es muy sencilla, copiamos no solo los archivos extraidos, si no la carpeta al siguiente directorio:

/home/nombre de usuario/.amsn/skins/

Para ver las carpetas ocultas (éstas son las que llevan un punto delante) le damos a “control” más “h”.

Sympozium nos pone a disposición, un skin que ha hecho él. Lo podemos descargar desde:

http://www.gnome-look.org/content/show.php?content=40557

Que lo disfruteis😉

24 comentarios to “Mejoremos la visualización de las fuentes en Amsn”

  1. Danielito said

    que tal, gracias por la explicacion.

    fijate que tengo un problemita a la hora iniciar amsn, ya que me pide instalar el tls le digo que es x86 y le doy aceptar, luego me da el siguiente error.

    error instalando el modulo TSL:: Couldn’t get http://www.amsn.projet.net/download-tls.php?arch=linuxx86

    supongo que no encontro el archivo.

    me puedes ayudar enviandome un correo a cservcalderon@yahoo.es diciendome como arreglo esto.

    gracias.

  2. norber said

    Hola Danielito, me supongo que es un problema del servidor donde se encuentra ese archivo. Puede que en un rato o en un par de días lo tengan resuelto.

    saludos

  3. Xalau said

    pues va a ser que no, a mi tb me ha dado ese problema hará diez o quince días

  4. Xalau said

    He encontrado la solucion a lo del módulo tls

    wditar el archivo /usr/lib/tls1.50/pkgIndex.tcl y ubicar la línea que dice algo como: package ifneeded tls 1.5 para entonces modificarla por package ifneeded tls 1.50 y listo

  5. elnorber said

    Muchas gracias xalau por la información

  6. hades said

    hola, hice paso a paso todo lo que comentaste en tu articulo, no tiro en ningun momento error de instalacion de librerias ni de amsn.. pero cuando lo quiero iniciar me da solo el siguiente mensaje:

    >amsn
    violacion de segmento.
    >

    tengo debian etch con kernel 2.6.17-2.. alguna idea de lo que puede estar pasando?

    muchas gracias

  7. elnorber said

    Hola hades, me gustaría poder ayudarte, pero mis conocimientos sobre este sistema operativo, linux no dan para mucho más.

    El error que te da, el de violación de segmento es antes de descargar el tls o después? Te digo eso, porque lo unico que se me ocurre es que hayas elegido mal la versión del tls.

    Saludos

  8. rodolfo said

    a mi tambien me pide el tls y le doy el que siempre he utilizado cuando instalaba el amsn en gnome ahora utilizo kde y me aparece el error que no lo puede descargar bueno hago los pasos para editar el archivo y cambiar la linea que dicen donde se encontro el error pero a mi lo que me pasa es que no se encuentra la carpeta de tls no se cuando hice la instalacion de amsn que tengo que hacer

  9. elnorber said

    Hola Rodolfo, te recomiendo que te instales Automatix 2. Con ese programa podrás instalar la última versión de amsn, la 0.97.

    Saludos🙂

  10. Tanke said

    oye cuando trate de compilar el amsn en esta linea me marco un error
    ./configure –with-tcl=/usr/lib/ –with-tk=/usr/lib/

    configure: error: invalid variable name: –with-tcl
    aque se debe, espero que puedas ayudarme utilizo el ubuntu feisty

  11. elnorber said

    Hola Tanke, el problema es que si lo copias directamente desde el blog, hay partes donde hay 2 guiones, worpress lo pone como un guión muy largo.

    Delante de with van 2 guiones, en vez de uno siendo:

    – – with-tcl

    Haz el cambio a mano, que seguro ahora funciona.

    Saludos🙂

  12. Scarface said

    Tanke, me parece que al copiar el comando desde aquí, lo que va delante de with-tcl no lo pone bien. Deberían ser dos guiones en lugar de uno. Esto “- -” pero sin espacios.

  13. Scarface said

    Perdón, no me había fijado en la siguiente entrada xD

  14. Tanke said

    gracias , voy a intentarlo ahorita es que soy relativamente nuevo jejeje saludos desde veracruz mexico

  15. Tanke said

    ya lo modifique y despues me salio este error, como les dije anteriormente soy nuevo en esto , asi que espero puedan ayudarme, trate de eliminar nuevamente el tcl/tk y quise instalarlo nuevamente bueno a final de cuentas volvi a hacer todo desde el principio y loe modifique la linea que anteriormente habia tenido el error y de ahi me marco esto entonces ya no se que mas hacerle espero me puedan ayudar ya me desespero esto :S

    checking for prefix by checking for wish… /usr/bin/wish
    configure: error: Your current Tcl/Tk installation has a version number of 8.3. The minimal version required for aMSN to run is Tcl/Tk 8.4

  16. elnorber said

    Porqué no pruebas a instalar automatix 2 y desde ahí instalas el amsn?

  17. Tanke said

    lo habia instalado con el automatix2 pero me marcaba el errorr de a la mayoria que era el instalar el tls, entonces lo que voy a hacer ahorita es configurar o mas bien modificar el archivo de pkgIndex.tcl que esta un comentario arriba haber si con eso jala, jejeje parece que ya ando aprendiendo un poco de esto pero si es complicado saludos desde veracruz mexico

  18. elnorber said

    Hola tanke, me acaba de llegar el cable de la corriente para el portatil ya que hace un mes que se quemó. Voy a probar de nuevo en el portatil, ya que tengo el ubuntu totalmente inmaculado.

    Suerte con ello🙂

  19. Dany said

    Hola, yo tambien tengo problemas con el amsn, he instalado el tcl el tk y el amsn y ha ido todo bien, incluso cuando me logeo al descargar el tsl me descarga el tsl sin problemas, pero he intentado de mil formas poner la ruta del archivo en las preferencias del amsn y aun asi cada vez que me logeo me manda a descargar el tsl por que dice q no parece estar instalado, alguien me puede ayudar?

  20. elnorber said

    Hola Dany, para esta tarde voy a hacer un post nuevo donde pongo como se soluciona. Saludos🙂

  21. Edgar said

    no me funciona todo el proceso estubo bien pero en la ora de arancar y escoer X86 error
    que mala onda con esto del amsn

  22. elnorber said

    Mira esta guía:

    http://www.elblogdemaverick.com/?p=177

    Saludos🙂

  23. loly2546 said

    hola,
    tengo todavia el problema con la instalación de amsn, hice todas las etapas pero instalo el amsn él darme un mensaje “configuro:” error: Your current a Tcl/Tk instalación has tiene versión nu of 8.3. The mínimo versión required fuero aMSN to run is Tcl/Tk 8.4 ”

    ayudar me por favor
    gracias

  24. Leandro said

    Excelente guia, me funcionó de maravillas, gracias…

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

 
A %d blogueros les gusta esto: